Skip to main content
GET
/
records
/
{id}
Retrieve a record
curl --request GET \
  --url https://api.endclose.com/v1/records/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "amount": 123,
  "date": "2023-12-25",
  "data_stream_key": "<string>",
  "id": 123,
  "currency": "USD",
  "decimal_places": 2,
  "description": "<string>",
  "metadata": {},
  "external_id": "<string>",
  "matched_records": [
    {
      "id": 123,
      "amount": 123,
      "currency": "USD",
      "decimal_places": 2,
      "description": "<string>",
      "date": "2023-12-25",
      "external_id": "<string>",
      "data_stream_key": "<string>",
      "reconciliation_id": 123,
      "reconciliation_name": "<string>"
    }
  ],
  "days_unreconciled": 123
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

The unique identifier of the record

Response

Record retrieved successfully

amount
integer
required

The monetary amount in cents (e.g., 1234 = $12.34)

direction
enum<string>
required
Available options:
credit,
debit
date
string<date>
required
data_stream_key
string
required
id
integer
currency
string
default:USD

Three-letter ISO 4217 currency code (e.g. USD, EUR). Optional on create — defaults to USD when omitted. Case-insensitive on input; always returned uppercase.

Pattern: ^[A-Za-z]{3}$
decimal_places
integer
default:2

Number of decimal places for this currency (2 for USD)

description
string
metadata
object
status
enum<string>

Derived from reconciliation matches. Read-only.

Available options:
reconciled,
unreconciled
external_id
string
matched_records
object[]

Records matched with this record via reconciliation

days_unreconciled
integer | null

Number of days since the record's date. Null when the record is reconciled.